To stop the reverse engineering of script apps, a lot of developers encode their program code with instruments such as ionCube PHP Encoder to make it human unreadable. The aforementioned is valid for paid applications in particular, as anybody could possibly use and modify the unprotected code without having to pay the needed license fees. In case you obtain web software protected with ionCube PHP Encoder, you will be able to use it without a problem as long as a software instrument named ionCube Loader is installed on the hosting server. This loader makes it possible to execute encoded files and you will often see it among the prerequisites for a given script application to be installed. Since the encoded files are already precompiled, they are generally executed more quickly and this can improve the overall speed of your site.

IonCube in Shared Hosting

When you get a Linux shared hosting package from us, it'll be created on our in-house made cloud hosting platform where ionCube Loader is already present, so you won't have any problems to run any script app which requires the tool in order to run appropriately. We also provide several different versions of PHP, therefore if you change the version, you'll need to activate ionCube once again. Our system remembers the adjustments you make, which means that in case you go back to the previous release of PHP which was active for your account, ionCube Loader will already be turned on. Both the PHP version as well as the ionCube instrument can be operated from the PHP Configuration section of our Hepsia website hosting Control Panel. Each adjustment that you do takes literally just a mouse-click and it takes effect without delay.

IonCube in Semi-dedicated Hosting

In case you purchase a semi-dedicated server package from us, you will be able to take advantage of any kind of script-driven application that needs ionCube Loader since the software tool is available on all servers which are a part of our cutting-edge cloud hosting platform. In addition, we support different releases of PHP, which means that if you move from PHP 4 to 5.2 or 5.3, for example, you can enable ionCube for this particular release with only a click from your Hepsia Control Panel. Our platform will remember your choice, and if you switch back to the earlier release of PHP, the tool will already be active. For more experienced users, we also offer the option to select the PHP version and if ionCube will be active or not for a particular domain without altering the settings for the whole hosting account. This can be done by putting a php.ini file in a domain folder with a couple of lines of program code.